Package Scientific :: Package IO :: Module PDB :: Class NucleotideResidue

[frames] | no frames]

# Class NucleotideResidue

    Group --+
            |
      Residue --+
                |
               NucleotideResidue

Nucleotide residue in a PDB file

Instance Methods

__init__(self, name, atoms=None, number=None) |

addAtom(self, atom) Add an atom to the group |

`bool`

hasDesoxyribose(self) Returns: `True` if the residue has no atom named O2* |

`bool`

hasPhosphate(self) Returns: `True` if the residue has a phosphate group |

`bool`

hasRibose(self) Returns: `True` if the residue has an atom named O2* |

`bool`

hasTerminalH(self) Returns: `True` if the residue has a 3-terminal H atom |

isCompatible(self, residue_data) |

writeToFile(self, file) Write the group to a file |

Inherited from `Group`: `__getitem__`, `__len__`, `__repr__`, `__str__`, `changeName`, `deleteAtom`, `deleteHydrogens`

Class Variables
| is_nucleotide = `1`

Method Details

### __init__(self, name, atoms=None, number=None)
(Constructor)

Parameters:
  - `name` - the name of the group
  - `atoms` - a list of atoms (or `None` for no atoms)
  - `number` - the PDB residue number (or `None`)
Overrides: Group.__init__
  (inherited documentation)

### addAtom(self, atom)

Add an atom to the group

Parameters:
  - `atom` - the atom
Overrides: Group.addAtom
  (inherited documentation)

### hasDesoxyribose(self)

Returns: `bool`
  `True` if the residue has no atom named O2*

### hasPhosphate(self)

Returns: `bool`
  `True` if the residue has a phosphate group

### hasRibose(self)

Returns: `bool`
  `True` if the residue has an atom named O2*

### hasTerminalH(self)

Returns: `bool`
  `True` if the residue has a 3-terminal H atom

### isCompatible(self, residue_data)

Overrides: Group.isCompatible

### writeToFile(self, file)

Write the group to a file

Parameters:
  - `file` - a PDBFile object or a file name
Overrides: Group.writeToFile
  (inherited documentation)